library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_misc.all;
use IEEE.std_logic_unsigned.all;

entity cnt_10 is
    port ( clk : in STD_LOGIC;
          qout : out STD_LOGIC_VECTOR(3 downto 0));
end cnt_10;

architecture cnt_10_arch of cnt_10 is

    signal count : STD_LOGIC_VECTOR(3 downto 0);

begin

    process(clk)
    begin
            if(clk'event and clk='1') then
                if(count="1001") then
                    count<="0000";
                else
                    count<=count + "0001";
                end if;
            end if;
    end process;

    qout<=count;

end cnt_10_arch;

